Tag Parser: TagParser::VorbisIdentificationHeader Class Reference

Tag Parser 12.5.2 C++ library for reading and writing MP4 (iTunes), ID3, Vorbis, Opus, FLAC and Matroska tags

Loading...
Searching...
No Matches
Public Member Functions | List of all members
TagParser::VorbisIdentificationHeader Class Reference

The VorbisIdentificationHeader class is a Vorbis identification header parser. More...

`#include <vorbisidentificationheader.h>`

## Public Member Functions
constexpr | VorbisIdentificationHeader ()
| Constructs a new Vorbis identification header.
void | parseHeader (OggIterator &iterator)
| Parses the Vorbis identification header which is read using the specified iterator.
constexpr std::uint32_t | version () const
constexpr std::uint8_t | channels () const
constexpr std::uint32_t | sampleRate () const
constexpr std::uint32_t | maxBitrate () const
constexpr std::uint32_t | nominalBitrate () const
constexpr std::uint32_t | minBitrate () const
constexpr std::uint8_t | blockSize () const
constexpr std::uint8_t | framingFlag () const

## Detailed Description

The VorbisIdentificationHeader class is a Vorbis identification header parser.

Definition at line 12 of file vorbisidentificationheader.h.

## Constructor & Destructor Documentation

## ◆ VorbisIdentificationHeader()

TagParser::VorbisIdentificationHeader::VorbisIdentificationHeader | ( |  | ) |
| constexpr

Constructs a new Vorbis identification header.

Definition at line 41 of file vorbisidentificationheader.h.

## Member Function Documentation

## ◆ blockSize()

std::uint8_t TagParser::VorbisIdentificationHeader::blockSize | ( |  | ) | const
| constexpr

Definition at line 83 of file vorbisidentificationheader.h.

## ◆ channels()

std::uint8_t TagParser::VorbisIdentificationHeader::channels | ( |  | ) | const
| constexpr

Definition at line 58 of file vorbisidentificationheader.h.

## ◆ framingFlag()

std::uint8_t TagParser::VorbisIdentificationHeader::framingFlag | ( |  | ) | const
| constexpr

Definition at line 88 of file vorbisidentificationheader.h.

## ◆ maxBitrate()

std::uint32_t TagParser::VorbisIdentificationHeader::maxBitrate | ( |  | ) | const
| constexpr

Definition at line 68 of file vorbisidentificationheader.h.

## ◆ minBitrate()

std::uint32_t TagParser::VorbisIdentificationHeader::minBitrate | ( |  | ) | const
| constexpr

Definition at line 78 of file vorbisidentificationheader.h.

## ◆ nominalBitrate()

std::uint32_t TagParser::VorbisIdentificationHeader::nominalBitrate | ( |  | ) | const
| constexpr

Definition at line 73 of file vorbisidentificationheader.h.

## ◆ parseHeader()

void TagParser::VorbisIdentificationHeader::parseHeader | ( | OggIterator & | iterator | ) |

Parses the Vorbis identification header which is read using the specified iterator.

Remarks
  The header is assumed to start at the current position of iterator.

Definition at line 24 of file vorbisidentificationheader.cpp.

## ◆ sampleRate()

std::uint32_t TagParser::VorbisIdentificationHeader::sampleRate | ( |  | ) | const
| constexpr

Definition at line 63 of file vorbisidentificationheader.h.

## ◆ version()

std::uint32_t TagParser::VorbisIdentificationHeader::version | ( |  | ) | const
| constexpr

Definition at line 53 of file vorbisidentificationheader.h.

The documentation for this class was generated from the following files:

- vorbis/vorbisidentificationheader.h
- vorbis/vorbisidentificationheader.cpp